Results 1 to 5 of 5

Thread: old link to Jasmine documentation

  1. #1
    Sencha Premium Member
    Join Date
    Aug 2013
    Location
    Australia
    Posts
    510

    Default old link to Jasmine documentation

    https://docs.sencha.com/sencha_test/...os_suites.html

    Check out the excellent Jasmine documentation for more

    and

    For more information about the Jasmine test framework, be sure to check out their suite documentation.



    should go to
    https://jasmine.github.io/api/3.5/global

    or maybe Jasmine Edge
    https://jasmine.github.io/api/edge/global

    or tutorial
    https://jasmine.github.io/tutorials/your_first_suite

  2. #2
    Sencha - Sales Team daniel.gallo's Avatar
    Join Date
    Apr 2009
    Location
    London, England
    Posts
    396

    Default

    Sencha Test uses Jasmine 2.4.1, so the links in the documentation are correct.
    Daniel Gallo

  3. #3
    Sencha Premium Member
    Join Date
    Aug 2013
    Location
    Australia
    Posts
    510

    Default upgrade Jasmine

    Quote Originally Posted by daniel.gallo View Post
    Sencha Test uses Jasmine 2.4.1, so the links in the documentation are correct.
    The link is to Jasmine 2.0 (https://jasmine.github.io/2.0/introduction.html)
    Jasmine 2.0.1 was 5 years ago while Jasmine 2.4.1 was 4 years ago (https://github.com/jasmine/jasmine/t.../release_notes).
    At least point to the 4 year old Jasmine 2.4.1 documentation (https://jasmine.github.io/2.4/introduction.html).

    How do I upgrade Sencha Test to the latest Jasmine (3.50, 3 months ago)?

    Better still how can I ensure Sencha products are upgraded to the latest dependencies?

  4. #4
    Sencha - Sales Team daniel.gallo's Avatar
    Join Date
    Apr 2009
    Location
    London, England
    Posts
    396

    Default

    Quote Originally Posted by djbushby View Post
    The two links I see for Jasmine on that page both point to the 2.4 docs (2.4.1), not 2.0. Are you seeing the older 2.0 link on a different docs page?

    Quote Originally Posted by djbushby View Post
    How do I upgrade Sencha Test to the latest Jasmine (3.50, 3 months ago)?
    Better still how can I ensure Sencha products are upgraded to the latest dependencies?
    This would be something that our dev team would need to do, as part of a future release of the product.

    Thanks.
    Daniel Gallo

  5. #5
    Sencha Premium Member
    Join Date
    Aug 2013
    Location
    Australia
    Posts
    510

    Default two links now 2.4.1

    Quote Originally Posted by daniel.gallo View Post
    The two links I see for Jasmine on that page both point to the 2.4 docs (2.4.1), not 2.0. Are you seeing the older 2.0 link on a different docs page?



    This would be something that our dev team would need to do, as part of a future release of the product.

    Thanks.
    Hi Daniel,

    Thanks for getting the two links fixed.

    Regards,
    Damien

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •